diff --git a/spring-boot-tools/spring-boot-loader/src/test/java/org/springframework/boot/loader/jar/JarFileTests.java b/spring-boot-tools/spring-boot-loader/src/test/java/org/springframework/boot/loader/jar/JarFileTests.java
index 531ce356967..e4466b8b47d 100644
--- a/spring-boot-tools/spring-boot-loader/src/test/java/org/springframework/boot/loader/jar/JarFileTests.java
+++ b/spring-boot-tools/spring-boot-loader/src/test/java/org/springframework/boot/loader/jar/JarFileTests.java
@@ -170,9 +170,13 @@ public void getName() throws Exception {
 
 	@Test
 	public void getSize() throws Exception {
-		try (ZipFile zip = new ZipFile(this.rootJarFile)) {
+		ZipFile zip = new ZipFile(this.rootJarFile);
+		try {
 			assertThat(this.jarFile.size()).isEqualTo(zip.size());
 		}
+		finally {
+			zip.close();
+		}
 	}
 
 	@Test
